program abc;
var n,i,l,a,b,c,j,k: int64;
begin
read (n,k);
For i:= 1 to k do
begin
read (l);
end;
j:=0;
For i:= 1 to (n-k)*(n-k) do
begin
if (a<>l) and (b<>l) and (a+b<>j) then c:=c+1
Else c:=c;
j:=a+b;
end;
Write (c);
end.
